<%# render partial: get_card_partial(properties["card_type"]), 
    locals: { properties: properties } 
%>

<%# solucao temporaria para quando o componente eh definido como pagina inicial do processo %>
<% valid_card_types = ["participatory", "description", "step"] %>
<% card_type = properties["card_type"] %>
<% card_type = "participatory" unless valid_card_types.include?(card_type) %>

<% items = properties["items"] %>
<% title = properties["title"] %>
<% subtitle = properties["subtitle"] %>

<% case card_type %>
<% when "description" %>
  <% if items.present? && items.any? %>
    <div class="br-container-lg description_cards-container">
      <div class="cards-title-container">
        <h2 class="description_cards-title"><%= title %></h2>
        <% if subtitle %>
          <h3 class="description_cards-subtitle"><%= subtitle %></h3>
        <% end %>
      </div>
      <div class="description_cards">
        <% items.each do |card| %>
          <div class="description_card">
            <h4 class="desc_card_label"><%= card["label"] %></h4>
            <h3 class="desc_card_title"><%= card["title"] %></h3>
            <p class="desc_card_text"><%= card["description"] %></p>
          </div>
        <% end %>
      </div>
    </div>
  <% end %>

<% when "step" %>
  <% if items.present? && items.any? %>
    <div>
      <div class="blue-bp-divider" style="filter: brightness(0%) invert(100%) sepia(91%) saturate(589%) hue-rotate(178deg) brightness(103%) contrast(97%);"></div>
      <div class="step_cards-container">
        <div class="br-container-lg step_cards-info">
          <div class="cards-title-container">
            <h2 class="step_cards-title"><%= title %></h2>
            <% if subtitle %>
              <h3 class="step_cards-subtitle"><%= subtitle %></h3>
            <% end %>
          </div>
          <div class="step_cards-content">
            <% items.each do |card| %>
              <% active = card["active"] %>
              <% link_present = card["link"].present? %>
              
              <% if link_present %>
                <a href="<%= card["link"] %>" class="step_card <%= active ? "active" : "" %>">
              <% else %>
                <div class="step_card <%= active ? "active" : "" %>">
              <% end %>

                <div class="step_card_info-container">
                  <div class="step_icon-container fa-solid <%= card["icon"] %>"></div>
                  <div class="step_info-text">
                    <p><%= card["step"] %></p>
                    <h3><%= card["title"] %></h3>
                  </div>
                </div>

                <% if card["start_date"].present? && card["end_date"].present? %>
                  <div class="step_card-date">
                    <i class="fa-solid fa-calendar" style="font-size: 1rem; color: #0c326f;"></i>
                    <p>
                      <% start_date_parts = card["start_date"].split("/") %>
                      <% end_date_parts = card["end_date"].split("/") %>
                      <% if start_date_parts.size == 3 && end_date_parts.size == 3 %>
                        <% start_month = start_date_parts[1] %>
                        <% end_month = end_date_parts[1] %>
                        <% start_year = start_date_parts[2] %>
                        <% end_year = end_date_parts[2] %>

                        <% if start_month == end_month && start_year == end_year %>
                          <%= "#{start_month} de #{start_year}" %>
                        <% elsif start_month != end_month && start_year == end_year %>
                          <%= "#{start_month} a #{end_month} de #{start_year}" %>
                        <% else %>
                          <%= "#{start_month} de #{start_year} a #{end_month} de #{end_year}" %>
                        <% end %>
                      <% else %>
                        <%= "#{card["start_date"]} - #{card["end_date"]}" %>
                      <% end %>
                    </p>
                  </div>
                <% else %>
                  <p>Data não disponível</p>
                <% end %>

                <p class="step_card-description"><%= card["description"] %></p>

              <% if link_present %>
                </a>
              <% else %>
                </div>
              <% end %>
            <% end %>
          </div>
        </div>
      </div>
      <div class="blue-bp-divider" style="filter: brightness(0%) invert(100%) sepia(91%) saturate(589%) hue-rotate(178deg) brightness(103%) contrast(97%);"></div>
    </div>
  <% end %>

<% else %>
  <% if items.present? && items.any? %>
    <div>
      <div class="blue-bp-divider"></div>
      <div class="participatory_cards-container">
        <div class="br-container-lg participatory_cards-info">
          <div class="cards-title-container">
            <h2 class="participatory_cards-title"><%= title %></h2>
            <% if subtitle %>
              <h3 class="participatory_cards-subtitle"><%= subtitle %></h3>
            <% end %>
          </div>
          <div class="cards_info-container">
            <% items.each do |card| %>
              <a class="cards_info-content" href="<%= card["link"] || "#" %>" aria-label="<%= card["title"] %>">
                <% if card["icon"].present? %>
                  <div class="cards_icon-container">
                    <i class="fa-solid <%= card["icon"] %>"></i>
                  </div>
                <% end %>
                <div class="cards_info-text">
                  <h3><%= card["title"] %></h3>
                  <p><%= card["subtitle"] %></p>
                </div>
              </a>
            <% end %>
          </div>
        </div>
      </div>
      <div class="blue-bp-divider"></div>
    </div>
  <% end %>
<% end %>
<%# fim da solucao temporaria %>